# Enum Class SyThemeClassNameStandard

java.lang.Object
java.lang.Enum<SyThemeClassNameStandard>
com.io7m.jsycamore.api.themes.SyThemeClassNameStandard

All Implemented Interfaces:
  `SyThemeClassNameType, Serializable, Comparable<SyThemeClassNameStandard>, Constable`

public enum SyThemeClassNameStandard extends Enum<SyThemeClassNameStandard> implements SyThemeClassNameType
A list of standard class names that are expected to be recognized by themes.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BUTTON`
  A generic button class.
  `CHECKBOX`
  A checkbox class.
  `CONTAINER`
  A generic container class.
  `GRID_VIEW`
  A grid view class.
  `IMAGE_VIEW`
  An image view class.
  `LIST_VIEW`
  A list view class.
  `MENU`
  A menu class.
  `MENU_BAR`
  A menu bar class.
  `MENU_BAR_ITEM`
  A menu bar item.
  `MENU_BAR_ITEM_TEXT`
  The text in a menu bar item.
  `MENU_ITEM`
  A menu item class.
  `MENU_ITEM_ATOM`
  A menu item class.
  `MENU_ITEM_SEPARATOR`
  A menu item class.
  `MENU_ITEM_SUBMENU`
  A menu item class.
  `MENU_ITEM_TEXT`
  A menu item text class.
  `METER`
  A generic meter class.
  `SCROLLBAR_HORIZONTAL`
  A horizontal scrollbar class.
  `SCROLLBAR_HORIZONTAL_BUTTON_LEFT`
  A scrollbar button class.
  `SCROLLBAR_HORIZONTAL_BUTTON_LEFT_ICON`
  A scrollbar button icon class.
  `SCROLLBAR_HORIZONTAL_BUTTON_RIGHT`
  A scrollbar button class.
  `SCROLLBAR_HORIZONTAL_BUTTON_RIGHT_ICON`
  A scrollbar button icon class.
  `SCROLLBAR_HORIZONTAL_BUTTON_THUMB`
  A scrollbar button class.
  `SCROLLBAR_HORIZONTAL_BUTTON_THUMB_ICON`
  A scrollbar button icon class.
  `SCROLLBAR_HORIZONTAL_TRACK`
  A horizontal scrollbar track class.
  `SCROLLBAR_VERTICAL`
  A horizontal scrollbar class.
  `SCROLLBAR_VERTICAL_BUTTON_DOWN`
  A scrollbar button class.
  `SCROLLBAR_VERTICAL_BUTTON_DOWN_ICON`
  A scrollbar button icon class.
  `SCROLLBAR_VERTICAL_BUTTON_THUMB`
  A scrollbar button class.
  `SCROLLBAR_VERTICAL_BUTTON_THUMB_ICON`
  A scrollbar button icon class.
  `SCROLLBAR_VERTICAL_BUTTON_UP`
  A scrollbar button class.
  `SCROLLBAR_VERTICAL_BUTTON_UP_ICON`
  A scrollbar button icon class.
  `SCROLLBAR_VERTICAL_TRACK`
  A horizontal scrollbar track class.
  `SCROLLPANE`
  A scrollpane class.
  `SCROLLPANE_CONTENT_AREA`
  A scrollpane content area class.
  `SCROLLPANE_CONTENT_AREA_VIEWPORT`
  A scrollpane content area viewport class.
  `TEXT_AREA`
  A text area class.
  `TEXT_FIELD`
  A text field class.
  `TEXT_MULTILINE_VIEW`
  A multi-line text view class.
  `TEXT_VIEW`
  A text view class.
  `WINDOW_BUTTON_CLOSE`
  The close button for a window.
  `WINDOW_BUTTON_CLOSE_ICON`
  The close button icon for a window.
  `WINDOW_BUTTON_MAXIMIZE`
  The maximize button for a window.
  `WINDOW_BUTTON_MENU`
  The menu button for a window.
  `WINDOW_CONTENT_AREA`
  The content area for a window.
  `WINDOW_RESIZE_E`
  The east resize area for a window.
  `WINDOW_RESIZE_N`
  The north resize area for a window.
  `WINDOW_RESIZE_NE`
  The north-east resize area for a window.
  `WINDOW_RESIZE_NW`
  The north-west resize area for a window.
  `WINDOW_RESIZE_S`
  The south resize area for a window.
  `WINDOW_RESIZE_SE`
  The south-east resize area for a window.
  `WINDOW_RESIZE_SW`
  The south-west resize area for a window.
  `WINDOW_RESIZE_W`
  The west resize area for a window.
  `WINDOW_ROOT`
  The root component for a window.
  `WINDOW_TITLE`
  The title component for a window.
  `WINDOW_TITLE_TEXT`
  The title text component for a window.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `className()`
  `String`
  `description()`
  `String`
  `toString()`
  `static SyThemeClassNameStandard`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SyThemeClassNameStandard[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BUTTON

    public static final SyThemeClassNameStandard BUTTON
    A generic button class.

  - ### CHECKBOX

    public static final SyThemeClassNameStandard CHECKBOX
    A checkbox class.

  - ### CONTAINER

    public static final SyThemeClassNameStandard CONTAINER
    A generic container class.

  - ### GRID_VIEW

    public static final SyThemeClassNameStandard GRID_VIEW
    A grid view class.

  - ### IMAGE_VIEW

    public static final SyThemeClassNameStandard IMAGE_VIEW
    An image view class.

  - ### LIST_VIEW

    public static final SyThemeClassNameStandard LIST_VIEW
    A list view class.

  - ### MENU_BAR

    public static final SyThemeClassNameStandard MENU_BAR
    A menu bar class.

  - ### MENU_BAR_ITEM

    public static final SyThemeClassNameStandard MENU_BAR_ITEM
    A menu bar item.

  - ### MENU_BAR_ITEM_TEXT

    public static final SyThemeClassNameStandard MENU_BAR_ITEM_TEXT
    The text in a menu bar item.

  - ### MENU_ITEM

    public static final SyThemeClassNameStandard MENU_ITEM
    A menu item class.

  - ### MENU_ITEM_ATOM

    public static final SyThemeClassNameStandard MENU_ITEM_ATOM
    A menu item class.

  - ### MENU_ITEM_SEPARATOR

    public static final SyThemeClassNameStandard MENU_ITEM_SEPARATOR
    A menu item class.

  - ### MENU_ITEM_SUBMENU

    public static final SyThemeClassNameStandard MENU_ITEM_SUBMENU
    A menu item class.

  - ### MENU

    public static final SyThemeClassNameStandard MENU
    A menu class.

  - ### MENU_ITEM_TEXT

    public static final SyThemeClassNameStandard MENU_ITEM_TEXT
    A menu item text class.

  - ### METER

    public static final SyThemeClassNameStandard METER
    A generic meter class.

  - ### SCROLLBAR_HORIZONTAL

    public static final SyThemeClassNameStandard SCROLLBAR_HORIZONTAL
    A horizontal scrollbar class.

  - ### SCROLLBAR_HORIZONTAL_TRACK

    public static final SyThemeClassNameStandard SCROLLBAR_HORIZONTAL_TRACK
    A horizontal scrollbar track class.

  - ### SCROLLBAR_HORIZONTAL_BUTTON_LEFT

    public static final SyThemeClassNameStandard SCROLLBAR_HORIZONTAL_BUTTON_LEFT
    A scrollbar button class.

  - ### SCROLLBAR_HORIZONTAL_BUTTON_LEFT_ICON

    public static final SyThemeClassNameStandard SCROLLBAR_HORIZONTAL_BUTTON_LEFT_ICON
    A scrollbar button icon class.

  - ### SCROLLBAR_HORIZONTAL_BUTTON_RIGHT

    public static final SyThemeClassNameStandard SCROLLBAR_HORIZONTAL_BUTTON_RIGHT
    A scrollbar button class.

  - ### SCROLLBAR_HORIZONTAL_BUTTON_RIGHT_ICON

    public static final SyThemeClassNameStandard SCROLLBAR_HORIZONTAL_BUTTON_RIGHT_ICON
    A scrollbar button icon class.

  - ### SCROLLBAR_HORIZONTAL_BUTTON_THUMB

    public static final SyThemeClassNameStandard SCROLLBAR_HORIZONTAL_BUTTON_THUMB
    A scrollbar button class.

  - ### SCROLLBAR_HORIZONTAL_BUTTON_THUMB_ICON

    public static final SyThemeClassNameStandard SCROLLBAR_HORIZONTAL_BUTTON_THUMB_ICON
    A scrollbar button icon class.

  - ### SCROLLBAR_VERTICAL

    public static final SyThemeClassNameStandard SCROLLBAR_VERTICAL
    A horizontal scrollbar class.

  - ### SCROLLBAR_VERTICAL_TRACK

    public static final SyThemeClassNameStandard SCROLLBAR_VERTICAL_TRACK
    A horizontal scrollbar track class.

  - ### SCROLLBAR_VERTICAL_BUTTON_UP

    public static final SyThemeClassNameStandard SCROLLBAR_VERTICAL_BUTTON_UP
    A scrollbar button class.

  - ### SCROLLBAR_VERTICAL_BUTTON_UP_ICON

    public static final SyThemeClassNameStandard SCROLLBAR_VERTICAL_BUTTON_UP_ICON
    A scrollbar button icon class.

  - ### SCROLLBAR_VERTICAL_BUTTON_DOWN

    public static final SyThemeClassNameStandard SCROLLBAR_VERTICAL_BUTTON_DOWN
    A scrollbar button class.

  - ### SCROLLBAR_VERTICAL_BUTTON_DOWN_ICON

    public static final SyThemeClassNameStandard SCROLLBAR_VERTICAL_BUTTON_DOWN_ICON
    A scrollbar button icon class.

  - ### SCROLLBAR_VERTICAL_BUTTON_THUMB

    public static final SyThemeClassNameStandard SCROLLBAR_VERTICAL_BUTTON_THUMB
    A scrollbar button class.

  - ### SCROLLBAR_VERTICAL_BUTTON_THUMB_ICON

    public static final SyThemeClassNameStandard SCROLLBAR_VERTICAL_BUTTON_THUMB_ICON
    A scrollbar button icon class.

  - ### SCROLLPANE

    public static final SyThemeClassNameStandard SCROLLPANE
    A scrollpane class.

  - ### SCROLLPANE_CONTENT_AREA

    public static final SyThemeClassNameStandard SCROLLPANE_CONTENT_AREA
    A scrollpane content area class.

  - ### SCROLLPANE_CONTENT_AREA_VIEWPORT

    public static final SyThemeClassNameStandard SCROLLPANE_CONTENT_AREA_VIEWPORT
    A scrollpane content area viewport class.

  - ### TEXT_AREA

    public static final SyThemeClassNameStandard TEXT_AREA
    A text area class.

  - ### TEXT_FIELD

    public static final SyThemeClassNameStandard TEXT_FIELD
    A text field class.

  - ### TEXT_VIEW

    public static final SyThemeClassNameStandard TEXT_VIEW
    A text view class.

  - ### TEXT_MULTILINE_VIEW

    public static final SyThemeClassNameStandard TEXT_MULTILINE_VIEW
    A multi-line text view class.

  - ### WINDOW_BUTTON_CLOSE

    public static final SyThemeClassNameStandard WINDOW_BUTTON_CLOSE
    The close button for a window.

  - ### WINDOW_BUTTON_CLOSE_ICON

    public static final SyThemeClassNameStandard WINDOW_BUTTON_CLOSE_ICON
    The close button icon for a window.

  - ### WINDOW_BUTTON_MAXIMIZE

    public static final SyThemeClassNameStandard WINDOW_BUTTON_MAXIMIZE
    The maximize button for a window.

  - ### WINDOW_BUTTON_MENU

    public static final SyThemeClassNameStandard WINDOW_BUTTON_MENU
    The menu button for a window.

  - ### WINDOW_CONTENT_AREA

    public static final SyThemeClassNameStandard WINDOW_CONTENT_AREA
    The content area for a window.

  - ### WINDOW_RESIZE_E

    public static final SyThemeClassNameStandard WINDOW_RESIZE_E
    The east resize area for a window.

  - ### WINDOW_RESIZE_N

    public static final SyThemeClassNameStandard WINDOW_RESIZE_N
    The north resize area for a window.

  - ### WINDOW_RESIZE_NE

    public static final SyThemeClassNameStandard WINDOW_RESIZE_NE
    The north-east resize area for a window.

  - ### WINDOW_RESIZE_NW

    public static final SyThemeClassNameStandard WINDOW_RESIZE_NW
    The north-west resize area for a window.

  - ### WINDOW_RESIZE_S

    public static final SyThemeClassNameStandard WINDOW_RESIZE_S
    The south resize area for a window.

  - ### WINDOW_RESIZE_SE

    public static final SyThemeClassNameStandard WINDOW_RESIZE_SE
    The south-east resize area for a window.

  - ### WINDOW_RESIZE_SW

    public static final SyThemeClassNameStandard WINDOW_RESIZE_SW
    The south-west resize area for a window.

  - ### WINDOW_RESIZE_W

    public static final SyThemeClassNameStandard WINDOW_RESIZE_W
    The west resize area for a window.

  - ### WINDOW_ROOT

    public static final SyThemeClassNameStandard WINDOW_ROOT
    The root component for a window.

  - ### WINDOW_TITLE

    public static final SyThemeClassNameStandard WINDOW_TITLE
    The title component for a window.

  - ### WINDOW_TITLE_TEXT

    public static final SyThemeClassNameStandard WINDOW_TITLE_TEXT
    The title text component for a window.

- ## Method Details

  - ### values

    public static SyThemeClassNameStandard[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SyThemeClassNameStandard valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<SyThemeClassNameStandard>`

  - ### className

    public String className()
    Specified by:
      `className` in interface `SyThemeClassNameType`
    Returns:
      The theme class name

  - ### description

    public String description()
    Specified by:
      `description` in interface `SyThemeClassNameType`
    Returns:
      A humanly-readable description of the style class